Bug 23490 - target 'distdir' leaves world writable executables
Summary: target 'distdir' leaves world writable executables
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: automake   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-06 18:07 UTC by Need Real Name
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-11 20:48:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-01-06 18:07:42 UTC
After doing 'make dist' on a package that has been created
using automake, the scripts in the source directory that are
also included in a distribution are left with rwxrwxrwx
permissions.

The problem is fixed in CVS, see this URL for a patch:
http://sources.redhat.com/cgi-bin/cvsweb.cgi/automake/automake.in.diff?r1=1.769&r2=1.770&cvsroot=automake

I guess you should make a security advisory of this.

Comment 1 Florian La Roche 2001-06-12 11:48:15 UTC
Thanks, should now be fixed with current rpms.



Note You need to log in before you can comment on or make changes to this bug.